class Cfile;

class Cclassmember : public Centity {
public:
	Cfile			*m_fileP;
	int				m_lineno;

#define LocalX 		0x01	/* This is local function/variable 		*/
#define InitX		0x02	/* This variable is initialised			*/
#define NestedX		0x04	/* This variable is inside a function	*/
#define IgnoreX		0x08	/* Don't emit this class member			*/
#define ExternalX	0x10	/* This item is not defined in source	*/
#define WeakX		0x20	/* This is a weak data variable			*/
#define AddressesX	0x40	/* This variable may address a function	*/
#define FunctionX	0x80	/* This variable is a function address  */
#define FindX		0x100	/* Find variable anywhere				*/
#define UsedX		0x200	/* This variable is used				*/
#define InvisibleX	0x400	/* This item is now invisible			*/
#define ParameterX	0x800	/* This is a parameter of a function	*/
#define DynamicX	0x1000	/* This is a dynamic variable			*/
#define VirtualX	0x2000	/* This is a virtual function			*/

	int				m_flags;

	static unsigned int	hash(const char *nameP);

	Cclassmember(const char *nameP);
	virtual ~Cclassmember(void) {}

	void			addto_class(void);
	void			emit_class(void) const;
};
